Book
Updates the background image of a book.
This method validates the provided bookId and the image URL in the payload. If the validation fails, a Microsoft.AspNetCore.Mvc.BadRequestResult is returned. If the update operation fails, a 500 Internal Server Error is returned.
cURL
curl --request PUT \
--url '/public-api/v1/Book/{bookId}/BackgroundImage' \
--header 'user-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"ImageUrl": "string"
}'Authorizations
- user-api-keystringheader
User's API Key · apiKey
Path parameters
- bookIdstringrequired
The unique identifier of the book.
Body
application/jsonThe payload containing the new background image URL.
- ImageUrlstringrequired
Responses
OK